#!/bin/bash
set -e -o pipefail
trap 'echo "${BASH_SOURCE[0]}{${FUNCNAME[0]}}:${LINENO}: Error: command \`${BASH_COMMAND}\` failed with exit code $?"' ERR
cd "$(dirname "$0")"/

echo 0000:00:01.0 > /sys/bus/pci/drivers/pcieport/unbind
make clean
make
insmod ximea_cam_pcie.ko
gcc test.c -o test
for ((i=1;i<=100000;i++))
do
	echo $i
	./test 26 $((19720/4))
	./test 131 $((3972/4))
	./test 105 $((4956/4))
done
